Bug 222677 - Eclipse bugzilla doesn't work with v. 2.22.1 (used on eclipse.org)
Eclipse bugzilla doesn't work with v. 2.22.1 (used on eclipse.org)
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
All Windows
medium Severity medium
: ---
: ---
Assigned To: Kyu Lee
Depends On:
  Show dependency treegraph
Reported: 2007-01-15 12:21 EST by David Whiteman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-12 11:47:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Whiteman 2007-01-15 12:21:39 EST
Description of problem:

I installed eclipse bugzilla using, and tried to use it to query the eclipse.org
bug database, which is at v2.22.1 of bugzilla.  I got a query error.

Version-Release number of selected component (if applicable):

Fedora eclipse bugzilla plugin 0.2.3

How reproducible:

Steps to Reproduce:
1. install Eclipse 3.2.1
2. install Fedora eclipse bugzilla plugin 0.2.3
3. open the bugzilla view
4. attempt to query the eclipse.org bugzilla database
Actual results:

Error messages, presumably because the bugzilla plugin hasn't been updated to
work with the bugzilla version currently being used on eclipse.org

Expected results:

Additional info:
Comment 1 David Whiteman 2007-01-15 12:33:02 EST
Oops, I failed to mention that I installed the plug-in using the update manager
referenced on this site: http://sourceware.org/eclipse/bugzilla/
Comment 2 Ben Konrath 2007-01-15 13:48:32 EST
You set the version to test3, is this correct?
Comment 3 David Whiteman 2007-01-15 14:13:32 EST
I'm not sure what version to select in your bugzilla system, since none of them
seem to be applicable.  I'm using the one that is available on the Eclipse
update manager referenced on the site: http://sourceware.org/eclipse/bugzilla/.
 It is version 0.2.3 of the plug-in.  I don't know if this has been updated to
reflect the latest code you have for your command-line version in RedHat.  I'm
really on a Windows system using Eclipse, using the plug-in from there.  If this
is the wrong component in your system to log this in, please move it accordingly.
Comment 4 Matthew Miller 2007-04-10 12:13:31 EDT
This package does not appear to be in Fedora rawhide or extras development. Was
it dropped? Moving this to FC6. David, note that the version has been updated to
Comment 5 David Whiteman 2007-04-10 12:32:28 EDT
thanks... I no longer have a need for this anymore, since I am now using Mylar
(www.eclipse.org/mylar) which appears to do everything this does, and more
Comment 6 Andrew Overholt 2007-04-10 13:04:26 EDT
Yeah, we have Mylar in Fedora now so we've dropped eclipse-bugzilla.  I didn't
want to add an Obsolete/Provide but I guess we could.  Thoughts?
Comment 7 Matthew Miller 2007-04-10 13:29:25 EDT
Probably should add an obsoletes so it's automatically picked up on upgrades,
but unless it's functionally a superset, no provides....
Comment 8 Andrew Overholt 2007-04-12 11:47:00 EDT
Okay, I've added an Obsoletes and a Provides since I feel that it is a superset.

Note You need to log in before you can comment on or make changes to this bug.